Bug 1126291 - re-capture data using "staprun -A qemu_kvm " encounter error if systemtap not restarted
Summary: re-capture data using "staprun -A qemu_kvm " encounter error if systemtap not...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Stefan Hajnoczi
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 05:56 UTC by Xiaoqing Wei
Modified: 2016-01-11 00:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 13:28:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xiaoqing Wei 2014-08-04 05:56:55 UTC
Description of problem:
re-capture data using "staprun -A qemu_kvm " encounter error if systemtap not restarted

Version-Release number of selected component (if applicable):
kernel-2.6.32-493.el6.x86_64
kernel-2.6.32-431.1.2.el6.x86_64
systemtap-initscript-2.3-3.el6.x86_64
systemtap-2.3-3.el6.x86_64

How reproducible:
100% on my box

Steps to Reproduce:
1)
# cp /usr/share/qemu-kvm/systemtap/script.d/qemu_kvm.stp /etc/systemtap/script.d/
# cp /usr/share/qemu-kvm/systemtap/conf.d/qemu_kvm.conf /etc/systemtap/conf.d/
# service systemtap start qemu_kvm

2) boot a vm

3) staprun -A qemu_kvm >/tmp/trace.log

4) /usr/share/qemu-kvm/simpletrace.py --no-header /usr/share/qemu-kvm/trace-events /tmp/trace.log

5) goto 2)

Actual results:
error happen when running 3) the 2nd time
[root@dhcp-9-101 staf-kvm-devel]# staprun -A qemu_kvm >/tmp/trace.log
ERROR: Cannot attach to module qemu_kvm control channel; not running?

Expected results:
not error happen

Additional info:
if restart the systemtap service using cmd as below, then error avoided.

[root@dhcp-9-101 staf-kvm-devel]# service systemtap restart qemu_kvm
Stopping systemtap:                                        [  OK  ]
Starting systemtap:  Starting qemu_kvm ... done
                                                           [  OK  ]
[root@dhcp-9-101 staf-kvm-devel]# staprun -A qemu_kvm >/tmp/trace.log

Comment 2 Stefan Hajnoczi 2014-08-06 13:28:26 UTC
(In reply to Xiaoqing Wei from comment #0)
> Description of problem:
> re-capture data using "staprun -A qemu_kvm " encounter error if systemtap
> not restarted

This behavior is expected behavior for systemtap-initscript.

Killing staprun -A qemu_kvm stops tracing so you need to either leave staprun running or use service systemtap start qemu_kvm to restart it afterwards.

Stefan


Note You need to log in before you can comment on or make changes to this bug.